---
title: Update component
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Status Pages
---

# Update component{% #update-component %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                               |
| ----------------- | ------------------------------------------------------------------------------------------ |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/statuspages/{page_id}/components/{component_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/statuspages/{page_id}/components/{component_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/statuspages/{page_id}/components/{component_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/statuspages/{page_id}/components/{component_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/statuspages/{page_id}/components/{component_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/statuspages/{page_id}/components/{component_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/statuspages/{page_id}/components/{component_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/statuspages/{page_id}/components/{component_id} |

### Overview

Updates an existing component's attributes. This endpoint requires the `status_pages_settings_write` permission.

### Arguments

#### Path Parameters

| Name                           | Type   | Description                |
| ------------------------------ | ------ | -------------------------- |
| page_id [*required*]      | string | The ID of the status page. |
| component_id [*required*] | string | The ID of the component.   |

#### Query Strings

| Name    | Type   | Description                                                                                                                 |
| ------- | ------ | --------------------------------------------------------------------------------------------------------------------------- |
| include | string | Comma-separated list of resources to include. Supported values: created_by_user, last_modified_by_user, status_page, group. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                        | Type   | Description                                                                                                                        |
| ------------ | ---------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------- |
|              | data                         | object | The data object for updating a component.                                                                                          |
| data         | attributes [*required*] | object | The supported attributes for updating a component.                                                                                 |
| attributes   | name                         | string | The name of the component.                                                                                                         |
| attributes   | position                     | int64  | The position of the component. If the component belongs to a group, the position is relative to the other components in the group. |
| data         | id [*required*]         | uuid   | The ID of the component.                                                                                                           |
| data         | type [*required*]       | enum   | Components resource type. Allowed enum values: `components`                                                                        |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "name": "Logs Indexing"
    },
    "id": "c34e5b83-90fe-4de2-087b-ea1f64387277",
    "type": "components"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response object for a single component.

| Parent field          | Field                  | Type            | Description                                                                                                                                             |
| --------------------- | ---------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                       | data                   | object          | The data object for a component.                                                                                                                        |
| data                  | attributes             | object          | The attributes of a component.                                                                                                                          |
| attributes            | components             | [object]        | If the component is of type `group`, the components within the group.                                                                                   |
| components            | id                     | uuid            | The ID of the component within the group.                                                                                                               |
| components            | name                   | string          | The name of the component within the group.                                                                                                             |
| components            | position               | int64           | The zero-indexed position of the component within the group.                                                                                            |
| components            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                   | enum            | The type of the component. Allowed enum values: `component`                                                                                             |
| attributes            | created_at             | date-time       | Timestamp of when the component was created.                                                                                                            |
| attributes            | modified_at            | date-time       | Timestamp of when the component was last modified.                                                                                                      |
| attributes            | name                   | string          | The name of the component.                                                                                                                              |
| attributes            | position               | int64           | The zero-indexed position of the component.                                                                                                             |
| attributes            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| attributes            | type [*required*] | enum            | The type of the component. Allowed enum values: `component,group`                                                                                       |
| data                  | id                     | uuid            | The ID of the component.                                                                                                                                |
| data                  | relationships          | object          | The relationships of a component.                                                                                                                       |
| relationships         | created_by_user        | object          | The Datadog user who created the component.                                                                                                             |
| created_by_user       | data [*required*] | object          | The data object identifying the Datadog user who created the component.                                                                                 |
| data                  | id [*required*]   | string          | The ID of the Datadog user who created the component.                                                                                                   |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | group                  | object          | The group the component belongs to.                                                                                                                     |
| group                 | data [*required*] | object          | The data object identifying the group the component belongs to.                                                                                         |
| data                  | id [*required*]   | uuid            | The ID of the group the component belongs to.                                                                                                           |
| data                  | type [*required*] | enum            | Components resource type. Allowed enum values: `components`                                                                                             |
| relationships         | last_modified_by_user  | object          | The Datadog user who last modified the component.                                                                                                       |
| last_modified_by_user | data [*required*] | object          | The data object identifying the Datadog user who last modified the component.                                                                           |
| data                  | id [*required*]   | string          | The ID of the Datadog user who last modified the component.                                                                                             |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | status_page            | object          | The status page the component belongs to.                                                                                                               |
| status_page           | data [*required*] | object          | The data object identifying the status page the component belongs to.                                                                                   |
| data                  | id [*required*]   | uuid            | The ID of the status page the component belongs to.                                                                                                     |
| data                  | type [*required*] | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| data                  | type [*required*] | enum            | Components resource type. Allowed enum values: `components`                                                                                             |
|                       | included               | [ <oneOf>] | The included related resources of a component. Client must explicitly request these resources by name in the `include` query parameter.                 |
| included              | Option 1               | object          | The included Datadog user resource.                                                                                                                     |
| Option 1              | attributes             | object          | Attributes of the Datadog user.                                                                                                                         |
| attributes            | email                  | string          | The email of the Datadog user.                                                                                                                          |
| attributes            | handle                 | string          | The handle of the Datadog user.                                                                                                                         |
| attributes            | icon                   | string          | The icon of the Datadog user.                                                                                                                           |
| attributes            | name                   | string          | The name of the Datadog user.                                                                                                                           |
| attributes            | uuid                   | string          | The UUID of the Datadog user.                                                                                                                           |
| Option 1              | id                     | uuid            | The ID of the Datadog user.                                                                                                                             |
| Option 1              | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| included              | Option 2               | object          | The included status page resource.                                                                                                                      |
| Option 2              | attributes             | object          | The attributes of a status page.                                                                                                                        |
| attributes            | company_logo           | string          | The base64-encoded image data displayed in the company logo.                                                                                            |
| attributes            | components             | [object]        | Components displayed on the status page.                                                                                                                |
| components            | components             | [object]        | If the component is of type `group`, the components within the group.                                                                                   |
| components            | id                     | uuid            | The ID of the grouped component.                                                                                                                        |
| components            | name                   | string          | The name of the grouped component.                                                                                                                      |
| components            | position               | int64           | The zero-indexed position of the grouped component. Relative to the other components in the group.                                                      |
| components            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                   | enum            | The type of the component. Allowed enum values: `component`                                                                                             |
| components            | id                     | uuid            | The ID of the component.                                                                                                                                |
| components            | name                   | string          | The name of the component.                                                                                                                              |
| components            | position               | int64           | The zero-indexed position of the component.                                                                                                             |
| components            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                   | enum            | The type of the component. Allowed enum values: `component,group`                                                                                       |
| attributes            | created_at             | date-time       | Timestamp of when the status page was created.                                                                                                          |
| attributes            | custom_domain          | string          | If configured, the url that the status page is accessible at.                                                                                           |
| attributes            | custom_domain_enabled  | boolean         | Whether the custom domain is configured.                                                                                                                |
| attributes            | domain_prefix          | string          | The subdomain of the status page's url taking the form `https://{domain_prefix}.statuspage.datadoghq.com`. Globally unique across Datadog Status Pages. |
| attributes            | email_header_image     | string          | Base64-encoded image data included in email notifications sent to status page subscribers.                                                              |
| attributes            | enabled                | boolean         | Whether the status page is enabled.                                                                                                                     |
| attributes            | favicon                | string          | Base64-encoded image data displayed in the browser tab.                                                                                                 |
| attributes            | modified_at            | date-time       | Timestamp of when the status page was last modified.                                                                                                    |
| attributes            | name                   | string          | The name of the status page.                                                                                                                            |
| attributes            | page_url               | string          | The url that the status page is accessible at.                                                                                                          |
| attributes            | subscriptions_enabled  | boolean         | Whether users can subscribe to the status page.                                                                                                         |
| attributes            | type                   | enum            | The type of the status page controlling how the status page is accessed. Allowed enum values: `public,internal`                                         |
| attributes            | visualization_type     | enum            | The visualization type of the status page. Allowed enum values: `bars_and_uptime_percentage,bars_only,component_name_only`                              |
| Option 2              | id                     | uuid            | The ID of the status page.                                                                                                                              |
| Option 2              | relationships          | object          | The relationships of a status page.                                                                                                                     |
| relationships         | created_by_user        | object          | The Datadog user who created the status page.                                                                                                           |
| created_by_user       | data [*required*] | object          | The data object identifying the Datadog user who created the status page.                                                                               |
| data                  | id [*required*]   | string          | The ID of the Datadog user who created the status page.                                                                                                 |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | last_modified_by_user  | object          | The Datadog user who last modified the status page.                                                                                                     |
| last_modified_by_user | data [*required*] | object          | The data object identifying the Datadog user who last modified the status page.                                                                         |
| data                  | id [*required*]   | string          | The ID of the Datadog user who last modified the status page.                                                                                           |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| Option 2              | type [*required*] | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| included              | Option 3               | object          | The included component group resource.                                                                                                                  |
| Option 3              | attributes             | object          | The attributes of a component group.                                                                                                                    |
| attributes            | components             | [object]        | If the component is of type `group`, the components within the group.                                                                                   |
| components            | id                     | uuid            | The ID of the grouped component.                                                                                                                        |
| components            | name                   | string          | The name of the grouped component.                                                                                                                      |
| components            | position               | int64           | The zero-indexed position of the grouped component. Relative to the other components in the group.                                                      |
| components            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| components            | type                   | enum            | The type of the component. Allowed enum values: `component`                                                                                             |
| attributes            | created_at             | date-time       | Timestamp of when the component was created.                                                                                                            |
| attributes            | modified_at            | date-time       | Timestamp of when the component was last modified.                                                                                                      |
| attributes            | name                   | string          | The name of the component.                                                                                                                              |
| attributes            | position               | int64           | The zero-indexed position of the component.                                                                                                             |
| attributes            | status                 | enum            | The status of the component. Allowed enum values: `operational,degraded,partial_outage,major_outage,maintenance`                                        |
| attributes            | type [*required*] | enum            | The type of the component. Allowed enum values: `component,group`                                                                                       |
| Option 3              | id                     | uuid            | The ID of the component.                                                                                                                                |
| Option 3              | relationships          | object          | The relationships of a component group.                                                                                                                 |
| relationships         | created_by_user        | object          | The Datadog user who created the component group.                                                                                                       |
| created_by_user       | data [*required*] | object          | The data object identifying the Datadog user who created the component group.                                                                           |
| data                  | id [*required*]   | string          | The ID of the Datadog user who created the component group.                                                                                             |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | group                  | object          | The group the component group belongs to.                                                                                                               |
| group                 | data [*required*] | object          | The data object identifying the parent group of a component group.                                                                                      |
| data                  | id [*required*]   | uuid            | The ID of the parent group.                                                                                                                             |
| data                  | type [*required*] | enum            | Components resource type. Allowed enum values: `components`                                                                                             |
| relationships         | last_modified_by_user  | object          | The Datadog user who last modified the component group.                                                                                                 |
| last_modified_by_user | data [*required*] | object          | The data object identifying the Datadog user who last modified the component group.                                                                     |
| data                  | id [*required*]   | string          | The ID of the Datadog user who last modified the component group.                                                                                       |
| data                  | type [*required*] | enum            | Users resource type. Allowed enum values: `users`                                                                                                       |
| relationships         | status_page            | object          | The status page the component group belongs to.                                                                                                         |
| status_page           | data [*required*] | object          | The data object identifying the status page the component group belongs to.                                                                             |
| data                  | id [*required*]   | uuid            | The ID of the status page.                                                                                                                              |
| data                  | type [*required*] | enum            | Status pages resource type. Allowed enum values: `status_pages`                                                                                         |
| Option 3              | type [*required*] | enum            | Components resource type. Allowed enum values: `components`                                                                                             |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "components": [
        {
          "id": "string",
          "name": "string",
          "position": "integer",
          "status": "string",
          "type": "component"
        }
      ],
      "created_at": "2019-09-19T10:00:00.000Z",
      "modified_at": "2019-09-19T10:00:00.000Z",
      "name": "string",
      "position": "integer",
      "status": "operational",
      "type": "component"
    },
    "id": "string",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "",
          "type": "users"
        }
      },
      "group": {
        "data": {
          "id": "1234abcd-12ab-34cd-56ef-123456abcdef",
          "type": "components"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "",
          "type": "users"
        }
      },
      "status_page": {
        "data": {
          "id": "1234abcd-12ab-34cd-56ef-123456abcdef",
          "type": "status_pages"
        }
      }
    },
    "type": "components"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                          \## default
# 
 \# Path parameters export page_id="1234abcd-12ab-34cd-56ef-123456abcdef" export component_id="1234abcd-12ab-34cd-56ef-123456abcdef" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/statuspages/${page_id}/components/${component_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "name": "Metrics Intake Service",
      "position": 4
    },
    "id": "1234abcd-12ab-34cd-56ef-123456abcdef",
    "type": "components"
  }
}
EOF 
                        
##### 

```go
// Update component returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
	"github.com/google/uuid"
)

func main() {
	// there is a valid "status_page" in the system
	StatusPageDataAttributesComponents0ID := uuid.MustParse(os.Getenv("STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID"))
	StatusPageDataID := uuid.MustParse(os.Getenv("STATUS_PAGE_DATA_ID"))

	body := datadogV2.PatchComponentRequest{
		Data: &datadogV2.PatchComponentRequestData{
			Attributes: datadogV2.PatchComponentRequestDataAttributes{
				Name: datadog.PtrString("Logs Indexing"),
			},
			Id:   StatusPageDataAttributesComponents0ID,
			Type: datadogV2.STATUSPAGESCOMPONENTGROUPTYPE_COMPONENTS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewStatusPagesApi(apiClient)
	resp, r, err := api.UpdateComponent(ctx, StatusPageDataID, StatusPageDataAttributesComponents0ID, body, *datadogV2.NewUpdateComponentOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `StatusPagesApi.UpdateComponent`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `StatusPagesApi.UpdateComponent`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update component returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.StatusPagesApi;
import com.datadog.api.client.v2.model.PatchComponentRequest;
import com.datadog.api.client.v2.model.PatchComponentRequestData;
import com.datadog.api.client.v2.model.PatchComponentRequestDataAttributes;
import com.datadog.api.client.v2.model.StatusPagesComponent;
import com.datadog.api.client.v2.model.StatusPagesComponentGroupType;
import java.util.UUID;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    StatusPagesApi apiInstance = new StatusPagesApi(defaultClient);

    // there is a valid "status_page" in the system
    UUID STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID = null;
    try {
      STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID =
          UUID.fromString(System.getenv("STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID"));
    } catch (IllegalArgumentException e) {
      System.err.println("Error parsing UUID: " + e.getMessage());
    }
    UUID STATUS_PAGE_DATA_ID = null;
    try {
      STATUS_PAGE_DATA_ID = UUID.fromString(System.getenv("STATUS_PAGE_DATA_ID"));
    } catch (IllegalArgumentException e) {
      System.err.println("Error parsing UUID: " + e.getMessage());
    }

    PatchComponentRequest body =
        new PatchComponentRequest()
            .data(
                new PatchComponentRequestData()
                    .attributes(new PatchComponentRequestDataAttributes().name("Logs Indexing"))
                    .id(STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID)
                    .type(StatusPagesComponentGroupType.COMPONENTS));

    try {
      StatusPagesComponent result =
          apiInstance.updateComponent(
              STATUS_PAGE_DATA_ID, STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID, body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling StatusPagesApi#updateComponent");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```python
"""
Update component returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.status_pages_api import StatusPagesApi
from datadog_api_client.v2.model.patch_component_request import PatchComponentRequest
from datadog_api_client.v2.model.patch_component_request_data import PatchComponentRequestData
from datadog_api_client.v2.model.patch_component_request_data_attributes import PatchComponentRequestDataAttributes
from datadog_api_client.v2.model.status_pages_component_group_type import StatusPagesComponentGroupType

# there is a valid "status_page" in the system
STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID = environ["STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID"]
STATUS_PAGE_DATA_ID = environ["STATUS_PAGE_DATA_ID"]

body = PatchComponentRequest(
    data=PatchComponentRequestData(
        attributes=PatchComponentRequestDataAttributes(
            name="Logs Indexing",
        ),
        id=STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID,
        type=StatusPagesComponentGroupType.COMPONENTS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = StatusPagesApi(api_client)
    response = api_instance.update_component(
        page_id=STATUS_PAGE_DATA_ID, component_id=STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID, body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update component returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::StatusPagesAPI.new

# there is a valid "status_page" in the system
STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID = ENV["STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID"]
STATUS_PAGE_DATA_ID = ENV["STATUS_PAGE_DATA_ID"]

body = DatadogAPIClient::V2::PatchComponentRequest.new({
  data: DatadogAPIClient::V2::PatchComponentRequestData.new({
    attributes: DatadogAPIClient::V2::PatchComponentRequestDataAttributes.new({
      name: "Logs Indexing",
    }),
    id: STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID,
    type: DatadogAPIClient::V2::StatusPagesComponentGroupType::COMPONENTS,
  }),
})
p api_instance.update_component(STATUS_PAGE_DATA_ID, STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID, body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```rust
// Update component returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_status_pages::StatusPagesAPI;
use datadog_api_client::datadogV2::api_status_pages::UpdateComponentOptionalParams;
use datadog_api_client::datadogV2::model::PatchComponentRequest;
use datadog_api_client::datadogV2::model::PatchComponentRequestData;
use datadog_api_client::datadogV2::model::PatchComponentRequestDataAttributes;
use datadog_api_client::datadogV2::model::StatusPagesComponentGroupType;

#[tokio::main]
async fn main() {
    // there is a valid "status_page" in the system
    let status_page_data_attributes_components_0_id = uuid::Uuid::parse_str(
        &std::env::var("STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID").unwrap(),
    )
    .expect("Invalid UUID");
    let status_page_data_id = uuid::Uuid::parse_str(&std::env::var("STATUS_PAGE_DATA_ID").unwrap())
        .expect("Invalid UUID");
    let body = PatchComponentRequest::new().data(PatchComponentRequestData::new(
        PatchComponentRequestDataAttributes::new().name("Logs Indexing".to_string()),
        status_page_data_attributes_components_0_id.clone(),
        StatusPagesComponentGroupType::COMPONENTS,
    ));
    let configuration = datadog::Configuration::new();
    let api = StatusPagesAPI::with_config(configuration);
    let resp = api
        .update_component(
            status_page_data_id.clone(),
            status_page_data_attributes_components_0_id.clone(),
            body,
            UpdateComponentOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update component returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.StatusPagesApi(configuration);

// there is a valid "status_page" in the system
const STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID = process.env
  .STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID as string;
const STATUS_PAGE_DATA_ID = process.env.STATUS_PAGE_DATA_ID as string;

const params: v2.StatusPagesApiUpdateComponentRequest = {
  body: {
    data: {
      attributes: {
        name: "Logs Indexing",
      },
      id: STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID,
      type: "components",
    },
  },
  pageId: STATUS_PAGE_DATA_ID,
  componentId: STATUS_PAGE_DATA_ATTRIBUTES_COMPONENTS_0_ID,
};

apiInstance
  .updateComponent(params)
  .then((data: v2.StatusPagesComponent) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
